Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 4147)
@@ -49,14 +49,14 @@
 
    !! * Namelist namdyn_nept variables
-   LOGICAL, PUBLIC  ::  ln_neptsimp        = .FALSE.  ! yes/no simplified neptune
-
-   LOGICAL          ::  ln_smooth_neptvel  = .FALSE.  ! yes/no smooth zunep, zvnep
-   REAL(wp)         ::  rn_tslse           =  1.2e4   ! value of lengthscale L at the equator
-   REAL(wp)         ::  rn_tslsp           =  3.0e3   ! value of lengthscale L at the pole
+   LOGICAL, PUBLIC  ::  ln_neptsimp          ! yes/no simplified neptune
+
+   LOGICAL          ::  ln_smooth_neptvel    ! yes/no smooth zunep, zvnep
+   REAL(wp)         ::  rn_tslse             ! value of lengthscale L at the equator
+   REAL(wp)         ::  rn_tslsp             ! value of lengthscale L at the pole
 !! Specify whether to ramp down the Neptune velocity in shallow
 !! water, and the depth range controlling such ramping down
-   LOGICAL          ::  ln_neptramp        = .FALSE.  ! ramp down Neptune velocity in shallow water
-   REAL(wp)         ::  rn_htrmin          =  100.0   ! min. depth of transition range
-   REAL(wp)         ::  rn_htrmax          =  200.0   ! max. depth of transition range
+   LOGICAL          ::  ln_neptramp          ! ramp down Neptune velocity in shallow water
+   REAL(wp)         ::  rn_htrmin            ! min. depth of transition range
+   REAL(wp)         ::  rn_htrmax            ! max. depth of transition range
 
    !! * Module variables
@@ -114,10 +114,17 @@
       NAMELIST/namdyn_nept/ ln_neptsimp, ln_smooth_neptvel, rn_tslse, rn_tslsp,      &
                             ln_neptramp, rn_htrmin, rn_htrmax
+      INTEGER  ::   ios
       !!----------------------------------------------------------------------
       ! Define the (simplified) Neptune parameters
       ! ==========================================
 
-      REWIND( numnam )                  ! Read Namelist namdyn_nept:  Simplified Neptune
-      READ  ( numnam, namdyn_nept )
+      REWIND( numnam_ref )              ! Namelist namdyn_nept in reference namelist : Simplified Neptune
+      READ  ( numnam_ref, namdyn_nept, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_nept in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_nept in reference namelist : Simplified Neptune
+      READ  ( numnam_cfg, namdyn_nept, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_nept in configuration namelist', lwp )
+      WRITE ( numond, namdyn_nept )
 
       IF(lwp) THEN                      ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 4147)
@@ -197,5 +197,5 @@
       CALL Agrif_dyn( kt )    ! Update velocities on each coarse/fine interfaces 
 #endif
-      IF( nn_cla == 1 )   CALL cla_dynspg( kt )      ! Cross Land Advection (update (ua,va))
+      IF( nn_cla == 1 .AND. cp_cfg == 'orca' .AND. jp_cfg == 2 )   CALL cla_dynspg( kt )      ! Cross Land Advection (update (ua,va))
 
       ! compute the next vertically averaged velocity (effect of the additional force not included)
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 4147)
@@ -45,9 +45,9 @@
    PUBLIC   dyn_vor_init   ! routine called by opa.F90
 
-   !                                             !!* Namelist namdyn_vor: vorticity term
-   LOGICAL, PUBLIC ::   ln_dynvor_ene = .FALSE.   !: energy conserving scheme
-   LOGICAL, PUBLIC ::   ln_dynvor_ens = .TRUE.    !: enstrophy conserving scheme
-   LOGICAL, PUBLIC ::   ln_dynvor_mix = .FALSE.   !: mixed scheme
-   LOGICAL, PUBLIC ::   ln_dynvor_een = .FALSE.   !: energy and enstrophy conserving scheme
+   !                                   !!* Namelist namdyn_vor: vorticity term
+   LOGICAL, PUBLIC ::   ln_dynvor_ene   !: energy conserving scheme
+   LOGICAL, PUBLIC ::   ln_dynvor_ens   !: enstrophy conserving scheme
+   LOGICAL, PUBLIC ::   ln_dynvor_mix   !: mixed scheme
+   LOGICAL, PUBLIC ::   ln_dynvor_een   !: energy and enstrophy conserving scheme
 
    INTEGER ::   nvor = 0   ! type of vorticity trend used
@@ -710,10 +710,17 @@
       INTEGER ::   ioptio          ! local integer
       INTEGER ::   ji, jj, jk      ! dummy loop indices
+      INTEGER ::   ios             ! Local integer output status for namelist read
       !!
       NAMELIST/namdyn_vor/ ln_dynvor_ens, ln_dynvor_ene, ln_dynvor_mix, ln_dynvor_een
       !!----------------------------------------------------------------------
 
-      REWIND ( numnam )               ! Read Namelist namdyn_vor : Vorticity scheme options
-      READ   ( numnam, namdyn_vor )
+      REWIND( numnam_ref )              ! Namelist namdyn_vor in reference namelist : Vorticity scheme options
+      READ  ( numnam_ref, namdyn_vor, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_vor in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_vor in configuration namelist : Vorticity scheme options
+      READ  ( numnam_cfg, namdyn_vor, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_vor in configuration namelist', lwp )
+      WRITE ( numond, namdyn_vor )
 
       IF(lwp) THEN                    ! Namelist print
@@ -721,5 +728,5 @@
          WRITE(numout,*) 'dyn_vor_init : vorticity term : read namelist and control the consistency'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '        Namelist namdyn_vor : oice of the vorticity term scheme'
+         WRITE(numout,*) '        Namelist namdyn_vor : choice of the vorticity term scheme'
          WRITE(numout,*) '           energy    conserving scheme                ln_dynvor_ene = ', ln_dynvor_ene
          WRITE(numout,*) '           enstrophy conserving scheme                ln_dynvor_ens = ', ln_dynvor_ens
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/FLO/flo_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/FLO/flo_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/FLO/flo_oce.F90	(revision 4147)
@@ -39,13 +39,13 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   wb   !: vertical velocity at previous time step (m s-1).
    
-   !                                                 !!! * namelist namflo : langrangian floats *
-   LOGICAL, PUBLIC  ::   ln_rstflo      = .FALSE.    !: T/F float restart 
-   LOGICAL, PUBLIC  ::   ln_argo        = .FALSE.    !: T/F argo type floats
-   LOGICAL, PUBLIC  ::   ln_flork4      = .FALSE.    !: T/F 4th order Runge-Kutta
-   LOGICAL, PUBLIC  ::   ln_ariane      = .FALSE.    !: handle ariane input/output convention
-   LOGICAL, PUBLIC  ::   ln_flo_ascii   = .FALSE.    !: write in ascii (T) or in Netcdf (F)
+   !                                   !! * namelist namflo : langrangian floats *
+   LOGICAL, PUBLIC  ::   ln_rstflo      !: T/F float restart 
+   LOGICAL, PUBLIC  ::   ln_argo        !: T/F argo type floats
+   LOGICAL, PUBLIC  ::   ln_flork4      !: T/F 4th order Runge-Kutta
+   LOGICAL, PUBLIC  ::   ln_ariane      !: handle ariane input/output convention
+   LOGICAL, PUBLIC  ::   ln_flo_ascii   !: write in ascii (T) or in Netcdf (F)
 
-   INTEGER, PUBLIC  ::   nn_writefl     = 150        !: frequency of float output file 
-   INTEGER, PUBLIC  ::   nn_stockfl     = 450        !: frequency of float restart file
+   INTEGER, PUBLIC  ::   nn_writefl     !: frequency of float output file 
+   INTEGER, PUBLIC  ::   nn_stockfl     !: frequency of float restart file
 
    !!----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 4147)
@@ -78,4 +78,5 @@
       !!----------------------------------------------------------------------
       INTEGER :: jfl
+      INTEGER :: ios                 ! Local integer output status for namelist read
       !
       NAMELIST/namflo/ jpnfl, jpnnewflo, ln_rstflo, nn_writefl, nn_stockfl, ln_argo, ln_flork4, ln_ariane, ln_flo_ascii
@@ -88,6 +89,12 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      REWIND( numnam )              ! Namelist namflo : floats
-      READ  ( numnam, namflo )
+      REWIND( numnam_ref )              ! Namelist namflo in reference namelist : Floats
+      READ  ( numnam_ref, namflo, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namflo in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namflo in configuration namelist : Floats
+      READ  ( numnam_cfg, namflo, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namflo in configuration namelist', lwp )
+      WRITE ( numond, namflo )
       !
       IF(lwp) THEN                  ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 4147)
@@ -44,5 +44,11 @@
    PUBLIC   icb_alloc   ! routine called by icb_init in icbini.F90 module
 
-   INTEGER, PUBLIC, PARAMETER ::   nclasses = 10   !: Number of ice bergs classes
+INTEGER, PUBLIC, PARAMETER ::   nclasses = 10   !: Number of icebergs classes   
+!!INTEGER, PUBLIC &
+!!#if !defined key_agrif 
+!!           , PARAMETER &
+!!#endif
+!!     :: &
+!!     nclasses = 10   !: Number of icebergs classes
    INTEGER, PUBLIC, PARAMETER ::   nkounts  =  3   !: Number of integers combined for unique naming
 
@@ -109,33 +115,24 @@
 
    !                                                         !!* namberg namelist parameters (and defaults) **
-   LOGICAL , PUBLIC ::   ln_bergdia               = .true.    !: Calculate budgets
-   INTEGER , PUBLIC ::   nn_verbose_level         = 0         !: Turn on debugging when level > 0
-   INTEGER , PUBLIC ::   nn_test_icebergs         = 0         !: Create icebergs in absence of a restart file from the supplied class nb
-   REAL(wp), PUBLIC, DIMENSION(4) ::   rn_test_box = (/ 0._wp, 1._wp, 0._wp, 1._wp /)   !: lon1,lon2,lat1,lat2 box to create them in
-   INTEGER , PUBLIC ::   nn_sample_rate           = 0         !: Timesteps between sampling of position for trajectory storage
-   INTEGER , PUBLIC ::   nn_verbose_write         = 15        !: timesteps between verbose messages
-   REAL(wp), PUBLIC ::   rn_rho_bergs             = 850._wp   !: Density of icebergs
-   REAL(wp), PUBLIC ::   rn_LoW_ratio             = 1.5_wp    !: Initial ratio L/W for newly calved icebergs
-   REAL(wp), PUBLIC ::   rn_bits_erosion_fraction = 0.        !: Fraction of erosion melt flux to divert to bergy bits
-   REAL(wp), PUBLIC ::   rn_sicn_shift            = 0._wp     !: Shift of sea-ice concentration in erosion flux modulation (0<sicn_shift<1)
-   LOGICAL , PUBLIC ::   ln_operator_splitting    = .true.    !: Use first order operator splitting for thermodynamics
-   LOGICAL , PUBLIC ::   ln_passive_mode          = .false.   !: iceberg - ocean decoupling
-   LOGICAL , PUBLIC ::   ln_time_average_weight   = .false.   !: Time average the weight on the ocean    !!gm I don't understand that !
-   REAL(wp), PUBLIC ::   rn_speed_limit           = 0._wp     !: CFL speed limit for a berg
+   LOGICAL , PUBLIC ::   ln_bergdia                      !: Calculate budgets
+   INTEGER , PUBLIC ::   nn_verbose_level                !: Turn on debugging when level > 0
+   INTEGER , PUBLIC ::   nn_test_icebergs                !: Create icebergs in absence of a restart file from the supplied class nb
+   REAL(wp), PUBLIC, DIMENSION(4) ::   rn_test_box       !: lon1,lon2,lat1,lat2 box to create them in
+   INTEGER , PUBLIC ::   nn_sample_rate                  !: Timesteps between sampling of position for trajectory storage
+   INTEGER , PUBLIC ::   nn_verbose_write                !: timesteps between verbose messages
+   REAL(wp), PUBLIC ::   rn_rho_bergs                    !: Density of icebergs
+   REAL(wp), PUBLIC ::   rn_LoW_ratio                    !: Initial ratio L/W for newly calved icebergs
+   REAL(wp), PUBLIC ::   rn_bits_erosion_fraction        !: Fraction of erosion melt flux to divert to bergy bits
+   REAL(wp), PUBLIC ::   rn_sicn_shift                   !: Shift of sea-ice concentration in erosion flux modulation (0<sicn_shift<1)
+   LOGICAL , PUBLIC ::   ln_operator_splitting           !: Use first order operator splitting for thermodynamics
+   LOGICAL , PUBLIC ::   ln_passive_mode                 !: iceberg - ocean decoupling
+   LOGICAL , PUBLIC ::   ln_time_average_weight          !: Time average the weight on the ocean    !!gm I don't understand that !
+   REAL(wp), PUBLIC ::   rn_speed_limit                  !: CFL speed limit for a berg
    !
    !                                     ! Mass thresholds between iceberg classes [kg]
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_mass      = (/8.8e07, 4.1e08, 3.3e09, 1.8e10, 3.8e10,   &
-      &                                                                7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11/)
-   !                                     ! Fraction of calving to apply to this class [non-dim]
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_distribution      = (/0.25  , 0.12  , 0.15  , 0.18  , 0.12  ,   &
-      &                                                                0.07  , 0.03  , 0.03  , 0.03  , 0.02  /)
-   !                                     ! Ratio between effective and real iceberg mass (non-dim)
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_mass_scaling      = (/2000. ,  200. ,   50. ,   20. ,   10. ,   &
-      &                                                                   5. ,    2. ,    1. ,    1. ,    1. /)
-   !                                     ! Total thickness of newly calved bergs [m]
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_thickness = (/  40. ,   67. ,  133. ,  175. ,  250. ,   &
-      &                                                                 250. ,  250. ,  250. ,  250. ,  250./)
-
-   ! Single instance of an icebergs type initialised in icebergs_init and updated in icebergs_run
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_mass      ! Fraction of calving to apply to this class [non-dim]
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_distribution      ! Ratio between effective and real iceberg mass (non-dim)
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_mass_scaling      ! Total thickness of newly calved bergs [m]
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_thickness !  Single instance of an icebergs type initialised in icebergs_init and updated in icebergs_run
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   src_calving, src_calving_hflx    !: accumulate input ice
    INTEGER , PUBLIC             , SAVE                     ::   numicb                           !: iceberg IO
@@ -168,5 +165,6 @@
       !
       icb_alloc = 0
-      ALLOCATE( berg_grid                      ,                                               &
+!!      ALLOCATE( berg_grid                      ,                                               &
+      ALLOCATE(                                                                                &
          &      berg_grid%calving    (jpi,jpj) , berg_grid%calving_hflx (jpi,jpj)          ,   &
          &      berg_grid%stored_heat(jpi,jpj) , berg_grid%floating_melt(jpi,jpj)          ,   &
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 4147)
@@ -35,5 +35,5 @@
    PUBLIC   icb_init  ! routine called in nemogcm.F90 module
 
-   CHARACTER(len=100) ::   cn_dir = './'   ! Root directory for location of icb files
+   CHARACTER(len=100) ::   cn_dir          ! Root directory for location of icb files
    TYPE(FLD_N)        ::   sn_icb          ! information about the calving file to be read
 
@@ -344,4 +344,5 @@
       !!----------------------------------------------------------------------
       INTEGER  ::   jn      ! dummy loop indices
+      INTEGER  ::   ios     ! Local integer output status for namelist read
       REAL(wp) ::   zfact   ! local scalar
       !
@@ -354,16 +355,25 @@
       !!----------------------------------------------------------------------
 
-      ! (NB: frequency positive => hours, negative => months)
-      !            !   file     ! frequency !  variable  ! time intep !  clim  ! 'yearly' or ! weights  ! rotation   !
-      !            !   name     !  (hours)  !   name     !   (T/F)    !  (T/F) !  'monthly'  ! filename ! pairs      !
-      sn_icb = FLD_N( 'calving' ,    -1     , 'calving'  ,  .TRUE.    , .TRUE. ,   'yearly'  , ''       , ''         )
-
-      REWIND( numnam )              ! Namelist namrun : iceberg parameters
-      READ  ( numnam, namberg )
-      
+#if !defined key_agrif
+      REWIND( numnam_ref )              ! Namelist namberg in reference namelist : Iceberg parameters
+      READ  ( numnam_ref, namberg, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in reference namelist', lwp )
+      REWIND( numnam_cfg )              ! Namelist namberg in configuration namelist : Iceberg parameters
+      READ  ( numnam_cfg, namberg, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist', lwp )
+      WRITE ( numond, namberg )
+#else
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'icbini :   AGRIF is not compatible with namelist namberg :  '
+         WRITE(numout,*) '         definition of rn_initial_mass(nclasses) with nclasses as PARAMETER '
+         WRITE(numout,*) ' namelist namberg not read'
+      ENDIF
+      ln_icebergs = .false.      
+#endif   
       IF( .NOT. ln_icebergs ) THEN   ! no icebergs
          IF(lwp) THEN
             WRITE(numout,*)
-            WRITE(numout,*) 'icb_nam :   ln_icebergs = F , NO icebergs used'
+            WRITE(numout,*) 'icbini :   Namelist namberg ln_icebergs = F , NO icebergs used'
             WRITE(numout,*) '~~~~~~~~ '
          ENDIF
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 4147)
@@ -19,26 +19,28 @@
    PUBLIC
 
+ 
+   !
    !!----------------------------------------------------------------------
    !!                   namrun namelist parameters
    !!----------------------------------------------------------------------
-   CHARACTER(lc) ::   cn_exp        = "exp0"      !: experiment name used for output filename
-   CHARACTER(lc) ::   cn_ocerst_in  = "restart"   !: suffix of ocean restart name (input)
-   CHARACTER(lc) ::   cn_ocerst_out = "restart"   !: suffix of ocean restart name (output)
-   LOGICAL       ::   ln_rstart     = .FALSE.     !: start from (F) rest or (T) a restart file
-   INTEGER       ::   nn_no         = 0           !: job number
-   INTEGER       ::   nn_rstctl     = 0           !: control of the time step (0, 1 or 2)
-   INTEGER       ::   nn_rstssh     = 0           !: hand made initilization of ssh or not (1/0)
-   INTEGER       ::   nn_it000      = 1           !: index of the first time step
-   INTEGER       ::   nn_itend      = 10          !: index of the last time step
-   INTEGER       ::   nn_date0      = 961115      !: initial calendar date aammjj
-   INTEGER       ::   nn_leapy      = 0           !: Leap year calendar flag (0/1 or 30)
-   INTEGER       ::   nn_istate     = 0           !: initial state output flag (0/1)
-   INTEGER       ::   nn_write      =   10        !: model standard output frequency
-   INTEGER       ::   nn_stock      =   10        !: restart file frequency
-   LOGICAL       ::   ln_dimgnnn    = .FALSE.     !: type of dimgout. (F): 1 file for all proc
+   CHARACTER(lc) ::   cn_exp           !: experiment name used for output filename
+   CHARACTER(lc) ::   cn_ocerst_in     !: suffix of ocean restart name (input)
+   CHARACTER(lc) ::   cn_ocerst_out    !: suffix of ocean restart name (output)
+   LOGICAL       ::   ln_rstart        !: start from (F) rest or (T) a restart file
+   INTEGER       ::   nn_no            !: job number
+   INTEGER       ::   nn_rstctl        !: control of the time step (0, 1 or 2)
+   INTEGER       ::   nn_rstssh   = 0  !: hand made initilization of ssh or not (1/0)
+   INTEGER       ::   nn_it000         !: index of the first time step
+   INTEGER       ::   nn_itend         !: index of the last time step
+   INTEGER       ::   nn_date0         !: initial calendar date aammjj
+   INTEGER       ::   nn_leapy         !: Leap year calendar flag (0/1 or 30)
+   INTEGER       ::   nn_istate        !: initial state output flag (0/1)
+   INTEGER       ::   nn_write         !: model standard output frequency
+   INTEGER       ::   nn_stock         !: restart file frequency
+   LOGICAL       ::   ln_dimgnnn       !: type of dimgout. (F): 1 file for all proc
                                                        !:                  (T): 1 file per proc
-   LOGICAL       ::   ln_mskland    = .FALSE.     !: mask land points in NetCDF outputs (costly: + ~15%)
-   LOGICAL       ::   ln_clobber    = .FALSE.     !: clobber (overwrite) an existing file
-   INTEGER       ::   nn_chunksz    = 0           !: chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
+   LOGICAL       ::   ln_mskland       !: mask land points in NetCDF outputs (costly: + ~15%)
+   LOGICAL       ::   ln_clobber       !: clobber (overwrite) an existing file
+   INTEGER       ::   nn_chunksz       !: chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
 #if defined key_netcdf4
    !!----------------------------------------------------------------------
@@ -49,12 +51,12 @@
    ! for runtime optimisation. The individual netcdf4 chunks can be optionally 
    ! gzipped (recommended) leading to significant reductions in I/O volumes 
-   !                                   !!!**  variables only used with iom_nf90 routines and key_netcdf4 **
-   INTEGER ::   nn_nchunks_i = 1        !: number of chunks required in the i-dimension 
-   INTEGER ::   nn_nchunks_j = 1        !: number of chunks required in the j-dimension 
-   INTEGER ::   nn_nchunks_k = 1        !: number of chunks required in the k-dimension 
-   INTEGER ::   nn_nchunks_t = 1        !: number of chunks required in the t-dimension 
-   LOGICAL ::   ln_nc4zip    = .TRUE.   !: netcdf4 usage: (T) chunk and compress output using the HDF5 sublayers of netcdf4
-   !                                    !                 (F) ignore chunking request and use the netcdf4 library 
-   !                                    !                     to produce netcdf3-compatible files 
+   !                         !!!**  variables only used with iom_nf90 routines and key_netcdf4 **
+   INTEGER ::   nn_nchunks_i   !: number of chunks required in the i-dimension 
+   INTEGER ::   nn_nchunks_j   !: number of chunks required in the j-dimension 
+   INTEGER ::   nn_nchunks_k   !: number of chunks required in the k-dimension 
+   INTEGER ::   nn_nchunks_t   !: number of chunks required in the t-dimension 
+   LOGICAL ::   ln_nc4zip      !: netcdf4 usage: (T) chunk and compress output using the HDF5 sublayers of netcdf4
+   !                           !                 (F) ignore chunking request and use the netcdf4 library 
+   !                           !                     to produce netcdf3-compatible files 
 #endif
 !$AGRIF_DO_NOT_TREAT
@@ -87,14 +89,14 @@
    !!                    output monitoring
    !!----------------------------------------------------------------------
-   LOGICAL ::   ln_ctl     = .FALSE.   !: run control for debugging
-   INTEGER ::   nn_timing    =    0    !: run control for timing
-   INTEGER ::   nn_print     =    0    !: level of print (0 no print)
-   INTEGER ::   nn_ictls     =    0    !: Start i indice for the SUM control
-   INTEGER ::   nn_ictle     =    0    !: End   i indice for the SUM control
-   INTEGER ::   nn_jctls     =    0    !: Start j indice for the SUM control
-   INTEGER ::   nn_jctle     =    0    !: End   j indice for the SUM control
-   INTEGER ::   nn_isplt     =    1    !: number of processors following i
-   INTEGER ::   nn_jsplt     =    1    !: number of processors following j
-   INTEGER ::   nn_bench     =    0    !: benchmark parameter (0/1)
+   LOGICAL ::   ln_ctl       !: run control for debugging
+   INTEGER ::   nn_timing    !: run control for timing
+   INTEGER ::   nn_print     !: level of print (0 no print)
+   INTEGER ::   nn_ictls     !: Start i indice for the SUM control
+   INTEGER ::   nn_ictle     !: End   i indice for the SUM control
+   INTEGER ::   nn_jctls     !: Start j indice for the SUM control
+   INTEGER ::   nn_jctle     !: End   j indice for the SUM control
+   INTEGER ::   nn_isplt     !: number of processors following i
+   INTEGER ::   nn_jsplt     !: number of processors following j
+   INTEGER ::   nn_bench     !: benchmark parameter (0/1)
    INTEGER ::   nn_bit_cmp   =    0    !: bit reproducibility  (0/1)
 
@@ -107,17 +109,21 @@
    !!                        logical units
    !!----------------------------------------------------------------------
-   INTEGER ::   numstp      =   -1      !: logical unit for time step
-   INTEGER ::   numtime     =   -1      !: logical unit for timing
-   INTEGER ::   numout      =    6      !: logical unit for output print
-   INTEGER ::   numnam      =   -1      !: logical unit for namelist
-   INTEGER ::   numnam_ice  =   -1      !: logical unit for ice namelist
-   INTEGER ::   numevo_ice  =   -1      !: logical unit for ice variables (temp. evolution)
-   INTEGER ::   numsol      =   -1      !: logical unit for solver statistics
-   INTEGER ::   numdct_in   =   -1      !: logical unit for transports computing
-   INTEGER ::   numdct_vol  =   -1      !: logical unit for voulume transports output
-   INTEGER ::   numdct_heat =   -1      !: logical unit for heat    transports output
-   INTEGER ::   numdct_salt =   -1      !: logical unit for salt    transports output
-   INTEGER ::   numfl      =   -1      !: logical unit for floats ascii output
-   INTEGER ::   numflo     =   -1      !: logical unit for floats ascii output
+   INTEGER ::   numstp          =   -1      !: logical unit for time step
+   INTEGER ::   numtime         =   -1      !: logical unit for timing
+   INTEGER ::   numout          =    6      !: logical unit for output print
+   INTEGER ::   numnam_ref      =   -1      !: logical unit for reference namelist
+   INTEGER ::   numnam_cfg      =   -1      !: logical unit for configuration specific namelist
+   INTEGER ::   numond          =    7      !: logical unit for Output Namelist Dynamics
+   INTEGER ::   numnam_ice_ref  =   -1      !: logical unit for ice reference namelist
+   INTEGER ::   numnam_ice_cfg  =   -1      !: logical unit for ice reference namelist
+   INTEGER ::   numoni          =    8      !: logical unit for Output Namelist Ice
+   INTEGER ::   numevo_ice      =   -1      !: logical unit for ice variables (temp. evolution)
+   INTEGER ::   numsol          =   -1      !: logical unit for solver statistics
+   INTEGER ::   numdct_in       =   -1      !: logical unit for transports computing
+   INTEGER ::   numdct_vol      =   -1      !: logical unit for voulume transports output
+   INTEGER ::   numdct_heat     =   -1      !: logical unit for heat    transports output
+   INTEGER ::   numdct_salt     =   -1      !: logical unit for salt    transports output
+   INTEGER ::   numfl           =   -1      !: logical unit for floats ascii output
+   INTEGER ::   numflo          =   -1      !: logical unit for floats ascii output
 
    !!----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 4147)
@@ -156,5 +156,5 @@
          WRITE(numout,*)
          SELECT CASE ( jprstlib )
-         CASE ( jpnf90    )   ;   WRITE(numout,*) 'rst_read : read oce NetCDF restart file'
+         CASE ( jpnf90    )   ;   WRITE(numout,*) 'rst_read : read oce NetCDF restart file ',TRIM(cn_ocerst_in)//'.nc'
          CASE ( jprstdimg )   ;   WRITE(numout,*) 'rst_read : read oce binary restart file'
          END SELECT
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LBC/cla.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LBC/cla.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LBC/cla.F90	(revision 4147)
@@ -11,8 +11,4 @@
    !!            3.2  ! 2009-07 (G. Madec)  merge cla, cla_div, tra_cla, cla_dynspg
    !!                 !                     and correct a mpp bug reported by A.R. Porter
-   !!----------------------------------------------------------------------
-#if defined key_orca_r2
-   !!----------------------------------------------------------------------
-   !!   'key_orca_r2'                                 global ocean model R2
    !!----------------------------------------------------------------------
    !!   cla_div           : update of horizontal divergence at cla straits
@@ -733,24 +729,4 @@
    END SUBROUTINE cla_hormuz
    
-#else
-   !!----------------------------------------------------------------------
-   !!   Default key                                            Dummy module
-   !!----------------------------------------------------------------------
-   USE lib_mpp, ONLY:   ctl_stop
-CONTAINS
-   SUBROUTINE cla_init
-      CALL ctl_stop( 'cla_init: Cross Land Advection hard coded for ORCA_R2 with 31 levels' )
-   END SUBROUTINE cla_init
-   SUBROUTINE cla_div( kt )
-      WRITE(*,*) 'cla_div: You should have not see this print! error?', kt
-   END SUBROUTINE cla_div
-   SUBROUTINE cla_traadv( kt ) 
-      WRITE(*,*) 'cla_traadv: You should have not see this print! error?', kt
-   END SUBROUTINE cla_traadv
-   SUBROUTINE cla_dynspg( kt ) 
-      WRITE(*,*) 'dyn_spg_cla: You should have not see this print! error?', kt
-   END SUBROUTINE cla_dynspg
-#endif
-   
    !!======================================================================
 END MODULE cla
